Bulk create location history
curl --request POST \
--url https://apiweb.mile.app/api/v3/location-history/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location_histories": [
{
"email": "<string>",
"lat": "<string>",
"lon": "<string>"
}
]
}
'import requests
url = "https://apiweb.mile.app/api/v3/location-history/bulk"
payload = { "location_histories": [
{
"email": "<string>",
"lat": "<string>",
"lon": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({location_histories: [{email: '<string>', lat: '<string>', lon: '<string>'}]})
};
fetch('https://apiweb.mile.app/api/v3/location-history/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": 2,
"failed": 0,
"tasks": [
{
"status": true,
"message": "Success",
"_id": "634e98098ce07d29474a7e22_example@mile.app_1675224349343"
},
{
"status": true,
"message": "Success",
"_id": "634e98098ce07d29474a7e22_example@mile.app_1675224349578"
}
]
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Location History
Bulk create location history
This API enables mobile devices to create multiple location history entries in bulk. This feature is particularly useful when users are in offline mode and need to store location data locally, syncing it with the server when they regain internet connectivity. The request body should contain a single field location_histories, which is a list of location history entries. Maximum Limit: You can submit a maximum of 1000 location history entries in a single request. Each entry is represented as an object with the following fields:
POST
/
location-history
/
bulk
Bulk create location history
Authorizations
Use a valid Bearer token to authenticate.
Body
application/json
Show child attributes
Show child attributes
⌘I